-- name: [CS] JoSniffy model
-- description: [CS] JoSniffy model by GeloxNG.
-- deluxe: true

if SM64COOPDX_VERSION == nil then
    local first = false
    hook_event(HOOK_ON_LEVEL_INIT, function()
        if not first then
            first = true
            play_sound(SOUND_MENU_CAMERA_BUZZ, gMarioStates[0].marioObj.header.gfx.cameraToObject)
            djui_chat_message_create("\\#ffa0a0\\JoSniffy Model is not supported with sm64ex-coop\nas it uses sm64coopdx exclusive Lua functionality.\n\\#dcdcdc\\To play this mod, try out sm64coopdx at\n\\#7f7fff\\https://sm64coopdx.com")
        end
    end)
    return
end
if not _G.charSelectExists then
    local first = false
    hook_event(HOOK_ON_LEVEL_INIT, function()
        if not first then
            first = true
            play_sound(SOUND_MENU_CAMERA_BUZZ, gGlobalSoundSource)
            djui_chat_message_create("\\#ffffa0\\JoSniffy model requires Character Select to be enabled.\nPlease rehost with it enabled.")
        end
    end)
    return
end

local E_MODEL_JOSNIFFY = smlua_model_util_get_id("josniffy_geo")

local TEX_JOSNIFFY = get_texture_info("josniffy_icon")

_G.charSelect.character_add("JoSniffy", {"R.I.P.", "8/11/20", ""}, "GeloxNG", { r = 255, g = 0, b = 0 }, E_MODEL_JOSNIFFY, CT_LUIGI, TEX_JOSNIFFY)